commit:     855b3c22296b3aea2e29cb5f568bd00d467a490b
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 16 11:42:07 2021 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sat Oct 16 11:42:07 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=855b3c22

app-emulation/fs-uae: Version bump to 3.1.35, EAPI 8

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae/Manifest             |   1 +
 app-emulation/fs-uae/fs-uae-3.1.35.ebuild | 113 ++++++++++++++++++++++++++++++
 2 files changed, 114 insertions(+)

diff --git a/app-emulation/fs-uae/Manifest b/app-emulation/fs-uae/Manifest
index 4e1ce60994c..250829fecce 100644
--- a/app-emulation/fs-uae/Manifest
+++ b/app-emulation/fs-uae/Manifest
@@ -1 +1,2 @@
 DIST fs-uae-3.0.5.tar.gz 4819884 BLAKE2B 
0a82e0635ed02c1b4f04610555370c80ea12a870a73fd00cc98adefcefada2deed293c437202af34fc98e2f695fe1b08df918eca71b504e5b94e5ab3a099d9ed
 SHA512 
b34ffb818040c7bf67022f26e1dbc9ebf06742a354212f2b0d2aa6b8e04c60807893a16ff965c819395f4c3fb3c43c35b38dce848b86fa046a211e12414385c7
+DIST fs-uae-3.1.35.tar.gz 4817547 BLAKE2B 
5f75a1e262ba8d642401a03ac5b2494be37b8bab8f014a48208cc6e0b2e33373a7ce6146065f41404d8fcbd60fe71582319abe51521336c2d7c04668c3adacd9
 SHA512 
96bec936f867fc42eb9f61058887c027da0bab1c8df196ab62a714b1f28c92aafe6c4a61d441e5c7b5d8aee28c90d68812d0f6049c610e2ef9eebdd7e3edf013

diff --git a/app-emulation/fs-uae/fs-uae-3.1.35.ebuild 
b/app-emulation/fs-uae/fs-uae-3.1.35.ebuild
new file mode 100644
index 00000000000..0df1e65c2b8
--- /dev/null
+++ b/app-emulation/fs-uae/fs-uae-3.1.35.ebuild
@@ -0,0 +1,113 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools xdg
+
+DESCRIPTION="Integrates the most accurate Amiga emulation code available from 
WinUAE"
+HOMEPAGE="https://fs-uae.net/";
+SRC_URI="https://fs-uae.net/stable/${PV}/${P}.tar.gz";
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="fmv glew"
+
+RDEPEND="
+       dev-libs/glib:2
+       media-libs/libpng:0=
+       media-libs/libsdl2[opengl,X]
+       media-libs/openal
+       sys-libs/zlib
+       virtual/opengl
+       x11-libs/libdrm
+       x11-libs/libX11
+       fmv? ( media-libs/libmpeg2 )
+       glew? ( media-libs/glew:0= )
+"
+
+DEPEND="
+       ${RDEPEND}
+       x11-base/xorg-proto
+"
+
+BDEPEND="
+       app-arch/zip
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.0.0-libmpeg2.patch
+       "${FILESDIR}"/${PN}-3.0.0-Xatom.h.patch
+)
+
+src_prepare() {
+       default
+       AT_NO_RECURSIVE=1 eautoreconf
+
+       # Ensure bundled libraries are not used. Udis86 is unused
+       # regardless. Only FLAC headers are bundled and the library is never
+       # used? Lua is bundled but differs from upstream. We keep the
+       # default of disabling the Lua feature anyway as it is unfinished.
+       rm -r libmpeg2/ libudis86/ || die
+}
+
+src_configure() {
+       # Qt and Udis86 are unused.
+       econf \
+               --enable-a2065 \
+               --enable-action-replay \
+               --enable-aga \
+               --enable-arcadia \
+               --enable-bsdsocket \
+               --enable-caps \
+               --enable-cd32 \
+               --enable-cdtv \
+               --enable-codegen \
+               --enable-dms \
+               --enable-drivesound \
+               --enable-fdi2raw \
+               --enable-gfxboard \
+               --enable-jit \
+               --enable-jit-fpu \
+               --disable-lua \
+               --enable-netplay \
+               --enable-ncr \
+               --enable-ncr9x \
+               --enable-parallel-port \
+               --enable-prowizard \
+               --enable-savestate \
+               --enable-scp \
+               --enable-serial-port \
+               --enable-slirp \
+               --enable-softfloat \
+               --enable-qemu-cpu \
+               --enable-qemu-slirp \
+               --enable-uaenative \
+               --enable-uaenet \
+               --enable-uaescsi \
+               --enable-uaeserial \
+               --disable-udis86 \
+               --enable-vpar \
+               --enable-xml-shader \
+               --enable-zip \
+               --without-cef \
+               --with-glad \
+               --without-qt \
+               $(use_with fmv libmpeg2) \
+               $(use_with glew)
+}
+
+src_install() {
+       default
+
+       # Needed for QEMU-UAE.
+       insinto /usr/include/uae
+       doins src/include/uae/{api,attributes,log,ppc,qemu,types}.h
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       elog "Install app-emulation/fs-uae-launcher for a better graphical 
interface."
+}

Reply via email to